# Identifier Class Reference
[Widely used base classes and interfaces, Classes implemented in PHP's extension.]

Inheritance diagram for Identifier:
[legend]

List of all members.

## Public Member Functions

| getId ()
| setId ($id)
| finalize ()
| isFinalized ()

## Static Public Member Functions

static | create ()
static | wrap ($id)

## Private Attributes

| $id = null
| $final = false

## Detailed Description

See also:
  Identifiable

Definition at line 18 of file Identifier.class.php.

## Member Function Documentation

static Identifier::create | ( |  | ) | `[static]`

Returns:
  Identifier

Definition at line 26 of file Identifier.class.php.

Referenced by Sequenceless::obtainSequence(), and wrap().

Identifier::finalize | ( |  | ) |

Returns:
  Identifier

Definition at line 57 of file Identifier.class.php.

Identifier::getId | ( |  | ) |

Implements Identifiable.

Definition at line 39 of file Identifier.class.php.

Identifier::isFinalized | ( |  | ) |

Definition at line 64 of file Identifier.class.php.

Identifier::setId | ( | $ | id | ) |

Returns:
  Identifier

Implements Identifiable.

Definition at line 47 of file Identifier.class.php.

References $id.

static Identifier::wrap | ( | $ | id | ) | `[static]`

Returns:
  Identifier

Definition at line 34 of file Identifier.class.php.

References $id, and create().

Here is the call graph for this function:

## Member Data Documentation

Identifier::$final = false`[private]`

Definition at line 21 of file Identifier.class.php.

Identifier::$id = null`[private]`

Definition at line 20 of file Identifier.class.php.

Referenced by setId(), and wrap().

The documentation for this class was generated from the following file:

- core/Base/Identifier.class.php